<template>
  <div>
    <!-- PC -->
    <div class="gt-md mainWidth">
      <div align="center">
        <div v-for="(item, index) in dataShow" :key="index" align="left">
          <div class="row justify-between">
            <div class="font-24 q-px-md topic">{{ item.name }}</div>
            <div
              class="font-18 cursor-pointer q-px-md"
              @click="goToPage(item.catid)"
            >
              <u>เพิ่มเติม</u> >
            </div>
          </div>
          <div class="row">
            <div
              v-for="(item2, index2) in item.book"
              :key="index2"
              style="width: 20%"
              align="center"
              v-if="index2 < 5"
              class="main-div"
            >
              <div class="cover-hotpic" v-show="item2.hotitem == 1">
                <img
                  src="../../public/image/hot.gif"
                  alt=""
                  style="width: 80px"
                />
              </div>
              <div class="cover-newpic q-px-md" v-show="item2.complete == 1">
                จบแล้ว
              </div>
              <img
                :src="openPic(item2.bookid)"
                :alt="item2.title"
                class="cover-pic"
                @click="showBook(item2.bookid)"
              />
              <div
                class="cover-title ellipsis-3-lines cursor-pointer"
                @click="showBook(item2.bookid)"
              >
                {{ item2.title }}
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- Mobile -->
    <div class="lt-sm">
      <div align="center">
        <div v-for="(item, index) in dataShow" :key="index" align="left">
          <div class="row justify-between">
            <div class="font-18 topic-m q-px-sm">{{ item.name }}</div>
            <div class="font-14 cursor-pointer" @click="goToPage(item.catid)">
              <u>เพิ่มเติม</u> >
            </div>
          </div>
          <div class="showNew row no-wrap">
            <div
              v-for="(item2, index2) in item.book"
              :key="index2"
              align="center"
              class="q-pr-sm main-div"
            >
              <div class="cover-hotpic-m" v-show="item2.hotitem == 1">
                <img
                  src="../../public/image/hot.gif"
                  alt=""
                  style="width: 65px"
                />
              </div>
              <div class="cover-newpic-m q-px-md" v-show="item2.complete == 1">
                จบแล้ว
              </div>
              <img
                :src="openPic(item2.bookid)"
                alt=""
                class="book-m"
                @click="showBook(item2.bookid)"
              />
              <div
                class="cover-title-m ellipsis-3-lines q-px-sm"
                align="center"
              >
                {{ item2.title }}
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- Tablet -->
    <div class="lt-lg gt-xs">
      <div align="center">
        <div v-for="(item, index) in dataShow" :key="index" align="left">
          <div class="row justify-between">
            <div class="font-18 q-px-sm topic-t">{{ item.name }}</div>
            <div class="font-14 cursor-pointer" @click="goToPage(item.catid)">
              <u>เพิ่มเติม</u> >
            </div>
          </div>
          <div class="showNew-t row no-wrap">
            <div
              v-for="(item2, index2) in item.book"
              :key="index2"
              align="center"
              class="q-pr-md main-div"
            >
              <div class="cover-hotpic-t" v-show="item2.hotitem == 1">
                <img
                  src="../../public/image/hot.gif"
                  alt=""
                  style="width: 80px"
                />
              </div>
              <div class="cover-newpic-t q-px-md" v-show="item2.complete == 1">
                จบแล้ว
              </div>
              <img
                :src="openPic(item2.bookid)"
                alt=""
                class="book-t"
                @click="showBook(item2.bookid)"
              />
              <div
                class="cover-title-m ellipsis-3-lines q-px-sm"
                align="center"
              >
                {{ item2.title }}
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import axios from "axios";
import bookCover from "../components/bookcover.vue";

export default {
  components: { bookCover },
  data() {
    return {
      data: [],
      dataFromType: [],
      dataShow: [],
    };
  },
  methods: {
    showBook(id) {
      this.$router.push("/chapter/" + id);
    },
    goToPage(id) {
      this.$router.push("/category/" + id);
    },
    openPic(id) {
      return this.serverpath + "cover/" + id + ".jpg";
    },
    async loadData() {
      let url = this.serverpath + "showcategory.php";
      let res = await axios.get(url);
      this.data = res.data;
      this.data.sort((a, b) => (a.name > b.name ? 1 : 0));
      this.dataFromType = this.data.filter((x) => x.type == 0);
      this.dataFromType.forEach(async (x) => {
        let dataSend = {
          catid: Number(x.catid),
        };
        let url2 = this.serverpath + "loadbookwithcat.php";
        let res2 = await axios.post(url2, JSON.stringify(dataSend));
        let temp = {
          name: x.name,
          catid: x.catid,
          book: res2.data,
        };
        if (res2.data.length > 0) {
          this.dataShow.push(temp);
        }
      });
    },
  },
  mounted() {
    this.loadData();
  },
};
</script>

<style lang="scss" scoped>
.cover-hotpic-t {
  position: absolute;
  top: -40px;
  right: 5px;
}
.cover-hotpic-m {
  position: absolute;
  top: -30px;
  right: 5px;
}
.cover-newpic {
  position: absolute;
  top: 30px;
  left: calc(50% - 100px);
  color: white;
  background-color: #2d6be4;
  border-bottom-right-radius: 10px;
}
.cover-newpic-t {
  position: absolute;
  top: 0px;
  left: calc(50% - 92.5px);
  color: white;
  background-color: #2d6be4;
  border-bottom-right-radius: 10px;
}
.cover-newpic-m {
  position: absolute;
  top: 0px;
  font-size: 14px;
  left: calc(50% - 75px);
  color: white;
  background-color: #2d6be4;
  border-bottom-right-radius: 5px;
}
.main-div {
  position: relative;
}
.cover-hotpic {
  position: absolute;
  top: -5px;
  right: 30px;
}
.book-t {
  width: 170px;
  height: 255px;
}
.book-m {
  width: 140px;
  height: 210px;
}
.cover-pic-m {
  width: 140px;
  height: 225px;
}
.cover-pic {
  width: 100%;
  max-width: 200px;
  height: 300px;
  padding-top: 30px;
  cursor: pointer;
}
.showNew {
  width: 100%;
  height: 320px;
  padding-top: 20px;
  overflow-x: auto;
  overflow-y: hidden;
}
.showNew-t {
  width: 100%;
  height: 360px;
  padding-top: 20px;
  overflow-x: auto;
  overflow-y: hidden;
}

.cover-title {
  width: 200px;
  font-size: 14px;
  max-height: 65px;
  margin-bottom: 20px;
  text-align: center;
}
.cover-title-m {
  width: 150px;
  font-size: 14px;
  height: 60px;
  margin-bottom: 20px;
}
::-webkit-scrollbar {
  display: none;
}
.main-div:hover {
  .cover-title {
    text-decoration: underline;
  }
}
</style>
